## 🌐 Contexto

En este desafío, deberás implementar un juego clásico de la serpiente utilizando ReactJS. El objetivo principal es construir una aplicación funcional que cumpla con los principios básicos de React, utilizando componentes reutilizables y estados para gestionar el comportamiento del juego.

## 🎯 Objetivos

Este desafío consiste en completar la implementación de la lógica del juego para que funcione correctamente, utilizando el código base proporcionado.

1. **Objetivo 1**: Implementar la función `randomFoodPosition` para generar posiciones aleatorias válidas para la comida dentro del área de juego.
2. **Objetivo 2**: Completar las funcionalidades necesarias para gestionar el movimiento de la serpiente, incluida la actualización de su posición y la lógica para consumir la comida.
3. **Objetivo 3**: Asegurarse de que el juego detecte las condiciones de "Game Over", como cuando la serpiente choca con los bordes del área de juego.

### Componentes de la Aplicación

1. **Food**: Componente que representa la comida que la serpiente debe consumir.
2. **Snake**: Componente que representa la serpiente, formada por un conjunto de posiciones en el área de juego.
3. **App**: Componente principal que orquesta el funcionamiento del juego.

### Especificaciones de la Solución

- **Función randomFoodPosition**: Debe generar coordenadas `x` e `y` aleatorias que estén dentro del rango permitido para el área de juego.
- **Movimiento de la Serpiente**: La serpiente debe moverse en la dirección indicada por la última tecla de flecha presionada (`ArrowUp`, `ArrowDown`, `ArrowLeft`, `ArrowRight`).
- **Consumo de Comida**: Cuando la cabeza de la serpiente coincida con la posición de la comida, la comida debe ser reposicionada aleatoriamente y la serpiente debe crecer.
- **Detección de Game Over**: El juego debe terminar si la serpiente cruza los límites del área de juego.

### Cómo probar

1. Instala las dependencias necesarias ejecutando:

   npm install

2. Ejecuta la aplicación con:

npm start

### 📂 Estructura del Repositorio

La estructura del repositorio es la siguiente:

snake-game/
├── src/
│   ├── components/
│   │   ├── Food.js
│   │   └── Snake.js
│   ├── App.js
│   ├── App.css
│   └── index.js
├── package.json
├── package-lock.json
└── README.md

### Notas Finales

- **Flexibilidad**: Puedes agregar mejoras adicionales al juego, como colisiones consigo misma o niveles de dificultad.
- **Estilo y diseño**: Si lo deseas, puedes personalizar el diseño utilizando CSS en el archivo `App.css`.
